<!DOCTYPE html>
<html lang="en">

<head>
    <meta charset="UTF-8">
    <meta http-equiv="X-UA-Compatible" content="IE=edge">
    <meta name="viewport" content="width=device-width, initial-scale=1.0">
    <title>Ver Usuario</title>


    <script src="js/request.js"></script>
    <script src="js/users.js"></script>

    <link rel="stylesheet" href="/css/styles.css">

    <!-- Agregar CSS de bootstrap -->
    <link rel="stylesheet" href="https://cdn.jsdelivr.net/npm/bootstrap@4.0.0/dist/css/bootstrap.min.css"
        integrity="sha384-Gn5384xqQ1aoWXA+058RXPxPg6fy4IWvTNh0E263XmFcJlSAwiGgFAW/dAiS6JXm" crossorigin="anonymous">

    <!-- Agregar iconos de bootstrap-->
    <link rel="stylesheet" href="https://cdn.jsdelivr.net/npm/bootstrap-icons@1.9.1/font/bootstrap-icons.css">

    <script>

        window.onload = function(){

            const urlParams = new URLSearchParams( window.location.search );

            if( urlParams.get('id') != null ){
                loadUserById( urlParams.get('id'), true );
            }else{
                window.location = 'index2.html';
            }

        }

    </script>

    <!-- Agregar CSS de bootstrap -->
    <link rel="stylesheet" href="https://cdn.jsdelivr.net/npm/bootstrap@4.0.0/dist/css/bootstrap.min.css"
        integrity="sha384-Gn5384xqQ1aoWXA+058RXPxPg6fy4IWvTNh0E263XmFcJlSAwiGgFAW/dAiS6JXm" crossorigin="anonymous">

    <!-- Agregar iconos de bootstrap-->
    <link rel="stylesheet" href="https://cdn.jsdelivr.net/npm/bootstrap-icons@1.9.1/font/bootstrap-icons.css">
</head>

<body>

    <header class="container">


        <nav class="navbar navbar-expand-lg navbar-dark bg-dark">
            <div class="container-fluid">
                <a class="navbar-brand" href="/admin/dashboard.html">
                    <img src="/images/logo.png" alt="Logo" width="30" class="d-inline-block align-text-top">
                    Misión TIC
                </a>
                <button class="navbar-toggler" type="button" data-bs-toggle="collapse"
                    data-bs-target="#navbarNavAltMarkup" aria-controls="navbarNavAltMarkup" aria-expanded="false"
                    aria-label="Toggle navigation">
                    <span class="navbar-toggler-icon"></span>
                </button>
                <div class="collapse navbar-collapse" id="navbarNavAltMarkup">
                    <ul class="navbar-nav mr-auto">
                        <li class="nav-item">
                            <a class="nav-link active" aria-current="page" href="index.html">Inicio</a>
                        </li>
                        <li class="nav-item">
                            <a class="nav-link" href="vuelo.html">Vuelo</a>
                        </li>
                        <li class="nav-item">
                            <a class="nav-link" href="ciudad.html">Ciudad</a>
                        </li>
                        <li class="nav-item">
                            <a class="nav-link" href="origen.html">Origen</a>
                        </li>
                        <li class="nav-item">
                            <a class="nav-link" href="destino.html">Destino</a>
                        </li>
                        <li class="nav-item">
                            <a class="nav-link" href="compania.html">Compañia</a>
                        </li>
                        <li class="nav-item">
                            <a class="nav-link" href="index2.html">Usuario</a>
                        </li>
                    </ul>
                    <div class="ms-auto">
                        <a href="index.html" class="btn btn-sm btn-danger"> <i class="bi bi-door-open"></i> Cerrar sesión </a>
                    </div>
                </div>
            </div>
        </nav>

    </header>

    <section class="container">

        <div class="row">

            <div class="offset-2 col-8">

                <div class="container px-5 my-5">

                    <h4>Ver Usuario</h4>

                    <div class="mb-3">
                        <strong>ID: </strong>
                        <label id="id"></label>
                    </div>

                    <div class="mb-3">
                        <strong>ID de usuario: </strong>
                        <label id="idUsuario"></label>
                    </div>

                    <div class="mb-3">
                        <strong>Clave: </strong>
                        <label id="clave"></label>
                    </div>

                    <div class="mb-3">
                        <strong>Nombre: </strong>
                        <label id="nombre"></label>
                    </div>

                    <div class="mb-3">
                        <strong>Tipo: </strong>
                        <label id="tipo"></label>
                    </div>

                    <div class="mb-3">
                        <strong>Estado: </strong>
                        <label id="estado"></label>
                    </div>

                    <a href="index2.html" class="btn btn-info">Volver</a>


                </div>

            </div>
            
        </div>    





    </section>

    <footer class="container">

    </footer>



    <!-- Agregar JS de bootstrap -->
    <script src="https://cdn.jsdelivr.net/npm/bootstrap@5.2.1/dist/js/bootstrap.bundle.min.js"
        integrity="sha384-u1OknCvxWvY5kfmNBILK2hRnQC3Pr17a+RTT6rIHI7NnikvbZlHgTPOOmMi466C8" crossorigin="anonymous">
    </script>
</body>

</html>